CUPTI (PDF) - v6.0 (older) - Last updated February 13, 2014 - Send Feedback -

## 3.31. CUpti_ActivityUnifiedMemoryCounterConfig Struct Reference

## [CUPTI Activity API]

This structure controls the enable/disable of the various Unified Memory counters consisting of scope, kind and other parameters. See function /ref cuptiActivityConfigureUnifiedMemoryCounter

### Public Variables

uint32_t deviceId
uint32_t enable
CUpti_ActivityUnifiedMemoryCounterKind kind
CUpti_ActivityUnifiedMemoryCounterScope scope

### Variables

uint32_t CUpti_ActivityUnifiedMemoryCounterConfig::deviceId [inherited]

  Device id of the traget device. This is relevant only for single device scopes.

uint32_t CUpti_ActivityUnifiedMemoryCounterConfig::enable [inherited]

  Control to enable/disable the counter. To enable the counter set it to non-zero value while disable is indicated by zero.

CUpti_ActivityUnifiedMemoryCounterKind CUpti_ActivityUnifiedMemoryCounterConfig::kind [inherited]

  Unified Memory counter Counter kind

CUpti_ActivityUnifiedMemoryCounterScope CUpti_ActivityUnifiedMemoryCounterConfig::scope [inherited]

  Unified Memory counter Counter scope